QGIS Application - Bug report #13986
Server segfaults when requesting certain GetLegendGraphics without bbox
2015-12-14 09:21 AM - Tom Palan

Status: Closed

Priority: High

Assignee: Stéphane Brunner

Category: QGIS Server

Affected QGIS version:2.18.4 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied: Resolution: no timely feedback
Crashes QGIS or corruptsdata: Copied to github as #: 22000
Description

QGIS server segfaults (500 Internal Server Error) with a specific layer style and the GetLegendGraphics request does not include a BBOX
parameter.
System: Ubuntu Wily 64 bit, QGIS Server from official repository, Version 2.12

See attached project. When the QGIS Webclient is first opened, the legend-graphics on the right side (if enabled in Customizations.js) are
rendered correctly. If you move or zoom, the legend graphic symbol for the bad layer is replaced with an "image not found" symbol.

The only difference in the requests before and after is the missing BBOX parameter on first load:
Good request:

http:/gis.local.at/cgi-bin/qgis_mapserv.fcgi?map=/home/tom/error/error_legend_graphic.qgs&#38;SERVICE=WMS&#38;VERSION=1.3
0&#38;REQUEST=GetLegendGraphics&#38;FORMAT=image%2Fpng&#38;EXCEPTIONS=application%2Fvnd.ogc.se inimage&#38;B

DXSPA

OXSPACE=1&#38;,LAYERSPACE=2&#38;SYMBOLSPACE=1&#38;SYMBOLHEIGHT=2&#38;,LAYERFONTSIZE=8&#38;I TEMFONTS

ZE=88&

IZE=8&#38;LAYERTITLE=FALSE&#38;LAYERFONTCOLOR=%23FFFFFF&#38;LAYERTITLESPACE=0&#38; TRANSPARENT=true&4

£38;LAY

#38;LAYERS=LayerWithErrorLegendGraphic&#38;DPI=96

Bad request:
http://gis.local.at/cgi-bin/qgis_mapserv.fcgi?map=/home/tom/error/error_legend_graphic.qgs&#38;SERVICE=WMS&#38;VERSION=1.3
0&#38;REQUEST=GetLegendGraphics&#38;FORMAT=image%2Fpng&#38;EXCEPTIONS=application%2Fvnd.ogc.se inimage&#38;B

DXSPA

OXSPACE=1&#38;,LAYERSPACE=2&#38;SYMBOLSPACE=1&#38;SYMBOLHEIGHT=2&#38;,LAYERFONTSIZE=8&#38;I TEMFONTS

ZE=88

IZE=8&#38;LAYERTITLE=FALSE&#38;LAYERFONTCOLOR=%23FFFFFF&#38;LAYERTITLESPACE=08#38;TRANSPARENT=true&4

$38;LAY

#38;LAYERS=LayerWithErrorLegendGraphic&#38;DP1=968&#38;BBOX=1496292.188517,6104920.852403,1497818.540426,6106451.9

81626

981626

| have a test environment set up if somebody needs further testing.

History

#1 - 2016-06-10 01:05 AM - Yves Jacolin

In a similar form, | get a seg fault with GetFeaturelnfo in WMS if some parameters are missing (1/J) or misswriting. QGIS server should ignore unknown
parameter or send an error message in a XML standard response about missing parameter.

We (Camptocamp) will probably work on this at the next hackfest in Bonn.

#2 - 2016-06-10 01:23 AM - Yves Jacolin

Is it something similar to #11552
http://gis.local.at/cgi-bin/qgis_mapserv.fcgi?map=/home/tom/error/error_legend_graphic.qgs&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetLegendGraphics&#38;FORMAT=image%2Fpng&#38;EXCEPTIONS=application%2Fvnd.ogc.se_inimage&#38;BOXSPACE=1&#38;LAYERSPACE=2&#38;SYMBOLSPACE=1&#38;SYMBOLHEIGHT=2&#38;LAYERFONTSIZE=8&#38;ITEMFONTSIZE=8&#38;LAYERTITLE=FALSE&#38;LAYERFONTCOLOR=%23FFFFFF&#38;LAYERTITLESPACE=0&#38;TRANSPARENT=true&#38;LAYERS=LayerWithErrorLegendGraphic&#38;DPI=96
http://gis.local.at/cgi-bin/qgis_mapserv.fcgi?map=/home/tom/error/error_legend_graphic.qgs&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetLegendGraphics&#38;FORMAT=image%2Fpng&#38;EXCEPTIONS=application%2Fvnd.ogc.se_inimage&#38;BOXSPACE=1&#38;LAYERSPACE=2&#38;SYMBOLSPACE=1&#38;SYMBOLHEIGHT=2&#38;LAYERFONTSIZE=8&#38;ITEMFONTSIZE=8&#38;LAYERTITLE=FALSE&#38;LAYERFONTCOLOR=%23FFFFFF&#38;LAYERTITLESPACE=0&#38;TRANSPARENT=true&#38;LAYERS=LayerWithErrorLegendGraphic&#38;DPI=96
http://gis.local.at/cgi-bin/qgis_mapserv.fcgi?map=/home/tom/error/error_legend_graphic.qgs&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetLegendGraphics&#38;FORMAT=image%2Fpng&#38;EXCEPTIONS=application%2Fvnd.ogc.se_inimage&#38;BOXSPACE=1&#38;LAYERSPACE=2&#38;SYMBOLSPACE=1&#38;SYMBOLHEIGHT=2&#38;LAYERFONTSIZE=8&#38;ITEMFONTSIZE=8&#38;LAYERTITLE=FALSE&#38;LAYERFONTCOLOR=%23FFFFFF&#38;LAYERTITLESPACE=0&#38;TRANSPARENT=true&#38;LAYERS=LayerWithErrorLegendGraphic&#38;DPI=96
http://gis.local.at/cgi-bin/qgis_mapserv.fcgi?map=/home/tom/error/error_legend_graphic.qgs&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetLegendGraphics&#38;FORMAT=image%2Fpng&#38;EXCEPTIONS=application%2Fvnd.ogc.se_inimage&#38;BOXSPACE=1&#38;LAYERSPACE=2&#38;SYMBOLSPACE=1&#38;SYMBOLHEIGHT=2&#38;LAYERFONTSIZE=8&#38;ITEMFONTSIZE=8&#38;LAYERTITLE=FALSE&#38;LAYERFONTCOLOR=%23FFFFFF&#38;LAYERTITLESPACE=0&#38;TRANSPARENT=true&#38;LAYERS=LayerWithErrorLegendGraphic&#38;DPI=96&#38;BBOX=1496292.188517,6104920.852403,1497818.540426,6106451.981626
http://gis.local.at/cgi-bin/qgis_mapserv.fcgi?map=/home/tom/error/error_legend_graphic.qgs&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetLegendGraphics&#38;FORMAT=image%2Fpng&#38;EXCEPTIONS=application%2Fvnd.ogc.se_inimage&#38;BOXSPACE=1&#38;LAYERSPACE=2&#38;SYMBOLSPACE=1&#38;SYMBOLHEIGHT=2&#38;LAYERFONTSIZE=8&#38;ITEMFONTSIZE=8&#38;LAYERTITLE=FALSE&#38;LAYERFONTCOLOR=%23FFFFFF&#38;LAYERTITLESPACE=0&#38;TRANSPARENT=true&#38;LAYERS=LayerWithErrorLegendGraphic&#38;DPI=96&#38;BBOX=1496292.188517,6104920.852403,1497818.540426,6106451.981626
http://gis.local.at/cgi-bin/qgis_mapserv.fcgi?map=/home/tom/error/error_legend_graphic.qgs&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetLegendGraphics&#38;FORMAT=image%2Fpng&#38;EXCEPTIONS=application%2Fvnd.ogc.se_inimage&#38;BOXSPACE=1&#38;LAYERSPACE=2&#38;SYMBOLSPACE=1&#38;SYMBOLHEIGHT=2&#38;LAYERFONTSIZE=8&#38;ITEMFONTSIZE=8&#38;LAYERTITLE=FALSE&#38;LAYERFONTCOLOR=%23FFFFFF&#38;LAYERTITLESPACE=0&#38;TRANSPARENT=true&#38;LAYERS=LayerWithErrorLegendGraphic&#38;DPI=96&#38;BBOX=1496292.188517,6104920.852403,1497818.540426,6106451.981626
#3 - 2016-06-10 03:57 AM - Yves Jacolin
- Assignee set to Stéphane Brunner

#4 - 2017-02-04 02:50 AM - Giovanni Manghi
- Priority changed from Normal to High

#5 - 2017-03-07 07:18 AM - Giovanni Manghi

- Affected QGIS version changed from 2.12.0 to 2.18.4
- OS version changed from 15.04 to 16.04

- Target version set to Version 2.18

Seems still the case on 2.18.4 and Ubuntu 16.04

#6 - 2017-05-01 01:06 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#7 - 2018-10-19 01:16 PM - Paul Blottiere

- Description updated

| tried to reproduce this issue with the current master branch (3.X), but without success. So it seems specific to QGIS 2.18.

#8 - 2018-10-19 02:21 PM - Giovanni Manghi

- Status changed from Open to Feedback

#9 - 2019-02-23 08:36 PM - Jiirgen Fischer

- Status changed from Feedback to Closed
- Resolution set to no timely feedback

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version. Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.

Files

legend_graphic_project.zip 29 KB 2015-12-14 Tom Palan
